# Identify Call

You can use the identify API call to identify your users.

```javascript
_browsee('identify', '<user_id/email>')
```

The second parameter to this call can be any string. However, it's best to use database IDs or a hash which does not change when a user updates their information.  If the identifying parameter is common along their journey, you can unify all the sessions of a  user.

You can also send attributes to the identify call like

```javascript
_browsee('identify', '<user_id/email>',
         {name: 'Jon Snow',
          email: 'knowsnothing@gmail.com',
          location: 'Castle Black'})
```

{% hint style="info" %}
name and email are special attributes. When you send name or email in an `identify` call, you can see them in the session panel on the right while replaying a session
{% endhint %}

{% hint style="info" %}
All the attributes you send via `identify` call can be searched for while creating circles.
{% endhint %}

You can also assign tags to a session. Like

```javascript
_browsee('identify', '<user_id/email>', 
         {'$tags': ["Logged In", "Cohort 78435"]})
```

Like attributes, tags can be searched for while creating circles and are visible on the session replay screen. More about creating circles [here](/understand-your-users/circles.md).

In case you do not want to add identify information like user id/email, you can use Browsee's anonymous id and send the rest of the identify information. However, in this case you need to wait for Browsee's snippet to load and call its initialization event like this

```javascript
window.addEventListener('br_session_init', ()=>{
  // Browsee's initialization event
  if (_browsee && _browsee.user && _browsee.user.getId()) {
    _browsee('identify', _browsee.user.getId(),
             {experiment_id: 'A', '$tags': ['X', 'Y']});
  }
});
```

{% hint style="info" %}
**Important Information -** Identify calls are exclusively accessible to users with paid accounts starting from the **Plus plan and beyond.** Check out our pricing page [here](https://browsee.io/pricing).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.browsee.io/integration/api-calls/identify-call.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
